use strict;
use warnings FATAL => 'all';

use Apache2::TomKit;
use Apache::Test;
use Apache::TestUtil;
use Apache::TestRequest 'GET_BODY';

plan tests => 2;


my $data_retrieved = GET_BODY "/xslt/base.xml";
$data_retrieved =~ s/\s//g;

my $data_expected;

{
open(EXPECTED,"<t/expected-results/xslt/base-test.txt") or die "Could not open file";
local $/= undef;
$data_expected = <EXPECTED>;
close(EXPECTED);
}

ok t_cmp(
	$data_expected,
	$data_retrieved,
	"basic test",
);

$data_retrieved = GET_BODY "/xslt/chain.xml";
$data_retrieved =~ s/\s//g;


{
open(EXPECTED,"<t/expected-results/xslt/chain-test.txt") or die "Could not open file";
local $/= undef;
$data_expected = <EXPECTED>;
close(EXPECTED);
}

ok t_cmp(
	$data_expected,
	$data_retrieved,
	"basic test",
);