package Apache2::TomKit::Processor::AbstractProcessor;

use strict;
use warnings;
use Carp;


sub new {
	my $class  = shift;
	my $logger = shift;
    my $config = shift;
	
	my $this = bless { logger => $logger, config => $config, dependencies => [] }, $class;
	
	return $this;
}

sub addDependency {
	my $this       = shift;
	my $dependency = shift;
	
	$this->{logger}->debug(8,"Adding dependeny: " . $dependency );
	
	push @{ $this->{dependencies} }, $dependency;
}

1;